% Rate of the reaction along the length of the reactor
clc
Wspan = [0 27]; % Range for the weight of the catalyst. 
y0 = [0; 1]; % Initial values for the dependent variables X and y.
[w,y]=ode45(@ODEfun,Wspan,y0);
z=size(y);
kprime=0.0074;
eps=-0.15;
for i=1 : z(1,1)
    % Calculating the values of rate from its expression 
    raprime(i) = - (kprime * (1 - y(i,1)) / (1 + eps * y(i,1)) * y(i,2));
end
    plot(w,-raprime)
    xlabel('W(kg)')
    ylabel('-ra^/')
    axis([0 27 0 0.008])
    legend('rate')