function dYfuncvecdW = ODEfun(W,Yfuncvec); 
X = Yfuncvec(1); 
p = Yfuncvec(2);
% Explicit equations
eps = -0.15; 
kprime = 0.0074; 
Fao = 0.1362; 
alpha = 0.0367; 
raprime = 0 - (kprime * (1 - X) / (1 + eps * X) * p); 
f = (1 + eps * X) / p; 
rate = 0 - raprime; 
% Differential equations
dXdW = 0 - (raprime / Fao); 
dpdW = 0 - (alpha * (1 + eps * X) / 2 / p); 
dYfuncvecdW = [dXdW; dpdW]; 


